import 'package:flutter/rendering.dart';

class LinearPainter extends CustomPainter {
  LinearPainter(this._fraction, this.backgroundColor, this.progress,
      {this.strokeWidth = 4}) {
    _backgroundPaint.color = backgroundColor;
    _backgroundPaint.strokeWidth = strokeWidth;
    _backgroundPaint.strokeCap = StrokeCap.round;

    _linePaint.strokeWidth = strokeWidth;
    _linePaint.strokeCap = StrokeCap.round;
  }

  final Paint _backgroundPaint = Paint();
  final Paint _linePaint = Paint();

  final double _fraction;
  final double strokeWidth;

  final Color backgroundColor;
  final Map<double, Color> progress;

  @override
  void paint(Canvas canvas, Size size) {
    final start = Offset(0.0, size.height / 2);
    final end = Offset(size.width, size.height / 2);

    canvas.drawLine(start, end, _backgroundPaint);
    progress.forEach((ratio, color) {
      _linePaint.color = color;
      if (ratio != 0) {
        canvas.drawLine(
            start,
            Offset(size.width * ratio * _fraction, size.height / 2),
            _linePaint);
      }
    });
  }

  @override
  bool shouldRepaint(CustomPainter oldDelegate) {
    return true;
  }
}
