import 'package:flutter/material.dart';
import 'package:ampos_ui_library/ampos_ui_library.dart';

abstract class BaseButton extends SizedBox {
  BaseButton(
    String text, {
    @required VoidCallback onPressed,
    double height = 56,
    double width = double.infinity,
    bool enable = true,
    Color color,
    onPressedColor,
    Color textColor = Colors.white,
    Icon leading,
    MainAxisAlignment alignment = MainAxisAlignment.center,
  }) : super(
            height: height,
            width: width,
            child: RaisedButton(
              color: color,
              disabledColor: color.withOpacity(0.4),
              splashColor: onPressedColor,
              elevation: 0,
              disabledElevation: 0,
              onPressed: enable ? onPressed : null,
              child: Row(
                mainAxisAlignment: alignment,
                children: <Widget>[
                  Padding(
                    padding: leading == null ? EdgeInsets.zero : EdgeInsets.only(right: 16),
                    child: leading,
                  ),
                  TextWidget(
                    text,
                    color: textColor,
                    fontSize: FontSize.large,
                  ),
                ],
              ),
            ));
}
