import 'package:ampos_ui_library/style/ampos_colors.dart';
import 'package:flutter/material.dart';

class ChipTag extends Chip {
  ChipTag(String label,
      {String placeholder = '',
      Color labelColor = Colors.white,
      double labelSize = 14,
      FontWeight labelWeight = FontWeight.bold,
      Color backgroundColor = AmposColors.primary,
      VoidCallback onDeleted})
      : super(
            label: Text(label ?? placeholder),
            labelStyle: TextStyle(
              fontSize: labelSize,
              fontWeight: labelWeight,
              color: labelColor,
            ),
            backgroundColor: backgroundColor,
            deleteIcon: ClipOval(
              child: Container(
                color: Colors.white,
                child: Icon(
                  Icons.clear,
                ),
              ),
            ),
            deleteIconColor: AmposColors.darkGray.withOpacity(0.8),
            onDeleted: onDeleted);
}
