import 'package:ampos_ui_library/ampos_ui_library.dart';
import 'package:flutter/cupertino.dart';

class GroupText extends Container {
  GroupText({
    @required String title,
    @required String subtitle,
    Axis direction = Axis.vertical,
    Color titleColor = AmposColors.textPrimary,
    Color subTitleColor = AmposColors.textPrimary,
    double titleSize = FontSize.small,
    double subTitleSize = FontSize.large,
    FontWeight titleWeight = FontWeight.w300,
    FontWeight subTitleWeight = FontWeight.bold,
    CrossAxisAlignment alignment = CrossAxisAlignment.start,
    double spaceBetween = 4,
    EdgeInsets margin = const EdgeInsets.all(0),
    EdgeInsets padding = const EdgeInsets.all(0),
  }) : super(
          margin: margin,
          padding: padding,
          child: Flex(
            direction: direction,
            crossAxisAlignment: alignment,
            children: [
              TextWidget(
                title,
                color: titleColor,
                fontSize: titleSize,
                fontWeight: titleWeight,
                margin: direction == Axis.vertical
                    ? EdgeInsets.only(bottom: spaceBetween)
                    : EdgeInsets.only(right: spaceBetween),
              ),
              TextWidget(
                subtitle,
                color: subTitleColor,
                fontSize: subTitleSize,
                fontWeight: subTitleWeight,
              ),
            ],
          ),
        );
}
