import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:ampos_ui_library/style/ampos_style.dart';

class LabelTag extends Visibility {
  LabelTag(
    String label, {
    String placeholder = '',
    Color textColor = Colors.white,
    Color color = AmposColors.dimGray,
    double borderRadius = 8.0,
    EdgeInsets margin = EdgeInsets.zero,
    FontWeight fontWeight = FontWeight.w300,
    EdgeInsets padding = const EdgeInsets.symmetric(vertical: 4, horizontal: 8),
  }) : super(
          visible: label != null || placeholder.isNotEmpty,
          child: Container(
            padding: padding,
            margin: margin,
            decoration: BoxDecoration(
                color: color,
                borderRadius: BorderRadius.all(
                  Radius.circular(borderRadius),
                )),
            child: Text(
              label ?? placeholder,
              style: TextStyle(color: textColor, fontWeight: fontWeight),
            ),
          ),
        );
}
