import 'package:ampos_ui_library/style/ampos_colors.dart';
import 'package:ampos_ui_library/style/font_size.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class SearchBox extends Container {
  SearchBox({
    TextEditingController controller,
    ValueChanged<String> onChanged,
    EdgeInsets margin = EdgeInsets.zero,
    String hint,
  }) : super(
          margin: margin,
          padding: EdgeInsets.all(8),
          color: AmposColors.darkCyan,
          child: TextField(
            maxLines: 1,
            cursorColor: AmposColors.tiffanyBlue,
            cursorWidth: 1,
            textInputAction: TextInputAction.search,
            autocorrect: false,
            style: TextStyle(
              fontSize: FontSize.large,
              fontWeight: FontWeight.w300,
              height: 1.2,
            ),
            onChanged: onChanged,
            controller: controller,
            decoration: InputDecoration(
              contentPadding: EdgeInsets.all(4),
              enabledBorder: OutlineInputBorder(
                borderSide: BorderSide(color: Colors.transparent, width: 0),
                borderRadius: BorderRadius.all(Radius.circular(8)),
              ),
              focusedBorder: OutlineInputBorder(
                borderSide: BorderSide(color: Colors.transparent, width: 0),
                borderRadius: BorderRadius.all(Radius.circular(8)),
              ),
              border: OutlineInputBorder(
                borderSide: BorderSide(color: Colors.transparent, width: 0),
                borderRadius: BorderRadius.all(Radius.circular(8)),
              ),
              filled: true,
              prefixIcon: Icon(Icons.search),
              hintStyle: TextStyle(
                color: AmposColors.outerSpace.withOpacity(0.6),
                fontWeight: FontWeight.w300,
                fontSize: FontSize.large,
              ),
              hintText: hint ?? 'Search',
              fillColor: Colors.white,
            ),
          ),
        );
}
