import 'package:flutter/widgets.dart';
import 'package:ampos_ui_library/ampos_ui_library.dart';
import 'package:ampos_ui_library/style/ampos_colors.dart';

class TextWidget extends Container {
  TextWidget(
    String data, {
    TextStyle style = const TextStyle(
      color: AmposColors.outerSpace,
      fontWeight: FontWeight.w300,
      fontSize: FontSize.normal,
    ),
    Color color,
    double fontSize,
    FontWeight fontWeight,
    FontStyle fontStyle,
    double height,
    String fontFamily,
    int maxLines,
    bool softWrap,
    double letterSpacing,
    TextAlign textAlign,
    EdgeInsets margin = EdgeInsets.zero,
    EdgeInsets padding = EdgeInsets.zero,
  }) : super(
            margin: margin,
            padding: padding,
            child: Text(
              data,
              overflow: maxLines == null ? TextOverflow.clip : TextOverflow.ellipsis,
              maxLines: maxLines,
              softWrap: softWrap,
              textAlign: textAlign,
              style: style.copyWith(
                fontSize: fontSize,
                color: color,
                fontWeight: fontWeight,
                fontStyle: fontStyle,
                fontFamily: fontFamily,
                height: height,
                letterSpacing: letterSpacing,
              ),
            ));
}
